### Function

# GimpUi prop_file_chooser_button_new

#### Declaration [src]

    GtkWidget*
    gimp_prop_file_chooser_button_new (
      GObject* config,
      const gchar* property_name,
      const gchar* title,
      GtkFileChooserAction action
    )

#### Description [src]

Creates a `GtkFileChooserButton` to edit the specified path property. `property_name` must represent either a GIMP_PARAM_SPEC_CONFIG_PATH or a G_PARAM_SPEC_OBJECT where `value_type == G_TYPE_FILE`.

Note that `GtkFileChooserButton` implements the `GtkFileChooser` interface; you can use the `GtkFileChooser` API with it.

Available since: | 2.4

#### Parameters

`config` | `GObject`
| Object to which property is attached.
| The data is owned by the caller of the function.
`property_name` | `const gchar*`
| Name of path property.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`title` | `const gchar*`
| The title of the browse dialog.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`action` | `GtkFileChooserAction`
| The open mode for the widget.

#### Return value

Returns: | `GtkWidget`
| A new `GtkFileChooserButton`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.